#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.BackForwardList where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BackForwardList = BackForwardList (ManagedPtr BackForwardList)
instance GObject BackForwardList where
class (GObject o, O.IsDescendantOf BackForwardList o) => IsBackForwardList o
instance (GObject o, O.IsDescendantOf BackForwardList o) => IsBackForwardList o
instance O.HasParentTypes BackForwardList
#if ENABLE_OVERLOADING
data BackForwardListChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetBackItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetBackListMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetBackListWithLimitMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetCurrentItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetForwardItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetForwardListMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetForwardListWithLimitMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data BackForwardListGetNthItemMethodInfo
#endif
