#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.CookieManager where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CookieManager = CookieManager (ManagedPtr CookieManager)
instance GObject CookieManager where
class (GObject o, O.IsDescendantOf CookieManager o) => IsCookieManager o
instance (GObject o, O.IsDescendantOf CookieManager o) => IsCookieManager o
instance O.HasParentTypes CookieManager
#if ENABLE_OVERLOADING
data CookieManagerChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerAddCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerAddCookieFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerDeleteAllCookiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerDeleteCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerDeleteCookieFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerDeleteCookiesForDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetAcceptPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetAcceptPolicyFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetCookiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetCookiesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetDomainsWithCookiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerGetDomainsWithCookiesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerSetAcceptPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieManagerSetPersistentStorageMethodInfo
#endif
