#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.UserContentManager where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype UserContentManager = UserContentManager (ManagedPtr UserContentManager)
instance GObject UserContentManager where
class (GObject o, O.IsDescendantOf UserContentManager o) => IsUserContentManager o
instance (GObject o, O.IsDescendantOf UserContentManager o) => IsUserContentManager o
instance O.HasParentTypes UserContentManager
#if ENABLE_OVERLOADING
data UserContentManagerScriptMessageReceivedSignalInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerAddFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerAddScriptMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerAddStyleSheetMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRegisterScriptMessageHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRegisterScriptMessageHandlerInWorldMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRemoveAllFiltersMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRemoveAllScriptsMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRemoveAllStyleSheetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerRemoveFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerUnregisterScriptMessageHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentManagerUnregisterScriptMessageHandlerInWorldMethodInfo
#endif
