#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WebInspector where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebInspector = WebInspector (ManagedPtr WebInspector)
instance GObject WebInspector where
class (GObject o, O.IsDescendantOf WebInspector o) => IsWebInspector o
instance (GObject o, O.IsDescendantOf WebInspector o) => IsWebInspector o
instance O.HasParentTypes WebInspector
#if ENABLE_OVERLOADING
data WebInspectorAttachedHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorCanAttachPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorInspectedUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorAttachSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorBringToFrontSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorDetachSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorOpenWindowSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorDetachMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorGetAttachedHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorGetCanAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorGetInspectedUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorGetWebViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorIsAttachedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebInspectorShowMethodInfo
#endif
