#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WebView where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebView = WebView (ManagedPtr WebView)
instance GObject WebView where
class (GObject o, O.IsDescendantOf WebView o) => IsWebView o
instance (GObject o, O.IsDescendantOf WebView o) => IsWebView o
instance O.HasParentTypes WebView
#if ENABLE_OVERLOADING
data WebViewEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewEstimatedLoadProgressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewFaviconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsControlledByAutomationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsEphemeralPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsLoadingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsPlayingAudioPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRelatedViewPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSettingsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewUserContentManagerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewWebContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewZoomLevelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebViewAuthenticateSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCloseSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewContextMenuSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewContextMenuDismissedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCreateSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewDecidePolicySignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewEnterFullscreenSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewInsecureContentDetectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLeaveFullscreenSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadFailedWithTlsErrorsSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewMouseTargetChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewPermissionRequestSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewPrintSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewReadyToShowSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewResourceLoadStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunAsModalSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunColorChooserSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunFileChooserSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewScriptDialogSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewShowNotificationSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewShowOptionMenuSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSubmitFormSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewWebProcessCrashedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewWebProcessTerminatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCanExecuteEditingCommandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCanExecuteEditingCommandFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCanGoBackMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCanGoForwardMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewCanShowMimeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewDownloadUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewExecuteEditingCommandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewExecuteEditingCommandWithArgumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetBackForwardListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetBackgroundColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetCustomCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetEditorStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetEstimatedLoadProgressMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetFaviconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetFindControllerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetInspectorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetMainResourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetPageIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetSessionStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetSnapshotMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetSnapshotFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetTlsInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetUserContentManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetWebsiteDataManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetWindowPropertiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGetZoomLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGoBackMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGoForwardMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewGoToBackForwardListItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsControlledByAutomationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsEphemeralMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsLoadingMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewIsPlayingAudioMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadAlternateHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadPlainTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewLoadUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewReloadMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewReloadBypassCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRestoreSessionStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptFromGresourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptFromGresourceFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptInWorldMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewRunJavascriptInWorldFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSaveFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSaveToFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSaveToFileFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSetBackgroundColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSetCustomCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSetEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSetSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewSetZoomLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewStopLoadingMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebViewTryCloseMethodInfo
#endif
