

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2.Structs
    (     module GI.WebKit2.Structs.ApplicationInfo,
    module GI.WebKit2.Structs.Credential    ,
    module GI.WebKit2.Structs.JavascriptResult,
    module GI.WebKit2.Structs.MimeInfo      ,
    module GI.WebKit2.Structs.NavigationAction,
    module GI.WebKit2.Structs.NetworkProxySettings,
    module GI.WebKit2.Structs.OptionMenuItem,
    module GI.WebKit2.Structs.ScriptDialog  ,
    module GI.WebKit2.Structs.SecurityOrigin,
    module GI.WebKit2.Structs.UserContentFilter,
    module GI.WebKit2.Structs.UserScript    ,
    module GI.WebKit2.Structs.UserStyleSheet,
    module GI.WebKit2.Structs.WebViewSessionState,
    module GI.WebKit2.Structs.WebsiteData   ,


    ) where

import GI.WebKit2.Structs.ApplicationInfo
import GI.WebKit2.Structs.Credential
import GI.WebKit2.Structs.JavascriptResult
import GI.WebKit2.Structs.MimeInfo
import GI.WebKit2.Structs.NavigationAction
import GI.WebKit2.Structs.NetworkProxySettings
import GI.WebKit2.Structs.OptionMenuItem
import GI.WebKit2.Structs.ScriptDialog
import GI.WebKit2.Structs.SecurityOrigin
import GI.WebKit2.Structs.UserContentFilter
import GI.WebKit2.Structs.UserScript
import GI.WebKit2.Structs.UserStyleSheet
import GI.WebKit2.Structs.WebViewSessionState
import GI.WebKit2.Structs.WebsiteData

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



