#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.Download where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Download = Download (ManagedPtr Download)
instance GObject Download where
class (GObject o, O.IsDescendantOf Download o) => IsDownload o
instance (GObject o, O.IsDescendantOf Download o) => IsDownload o
instance O.HasParentTypes Download
#if ENABLE_OVERLOADING
data DownloadAllowOverwritePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DownloadDestinationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DownloadEstimatedProgressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DownloadResponsePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DownloadCreatedDestinationSignalInfo
#endif
#if ENABLE_OVERLOADING
data DownloadDecideDestinationSignalInfo
#endif
#if ENABLE_OVERLOADING
data DownloadFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DownloadFinishedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DownloadReceivedDataSignalInfo
#endif
#if ENABLE_OVERLOADING
data DownloadCancelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetAllowOverwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetDestinationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetElapsedTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetEstimatedProgressMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetReceivedDataLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetResponseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadGetWebViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadSetAllowOverwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data DownloadSetDestinationMethodInfo
#endif
