#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.UserContentFilterStore where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype UserContentFilterStore = UserContentFilterStore (ManagedPtr UserContentFilterStore)
instance GObject UserContentFilterStore where
class (GObject o, O.IsDescendantOf UserContentFilterStore o) => IsUserContentFilterStore o
instance (GObject o, O.IsDescendantOf UserContentFilterStore o) => IsUserContentFilterStore o
instance O.HasParentTypes UserContentFilterStore
#if ENABLE_OVERLOADING
data UserContentFilterStorePathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreFetchIdentifiersMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreFetchIdentifiersFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreLoadMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreLoadFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreRemoveFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreSaveFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreSaveFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data UserContentFilterStoreSaveFromFileFinishMethodInfo
#endif
