#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WebResource where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebResource = WebResource (ManagedPtr WebResource)
instance GObject WebResource where
class (GObject o, O.IsDescendantOf WebResource o) => IsWebResource o
instance (GObject o, O.IsDescendantOf WebResource o) => IsWebResource o
instance O.HasParentTypes WebResource
#if ENABLE_OVERLOADING
data WebResourceResponsePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceFailedWithTlsErrorsSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceFinishedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceReceivedDataSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceSentRequestSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceGetDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceGetDataFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceGetResponseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebResourceGetUriMethodInfo
#endif
